%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logmanager
Version:          1.2.0
Release:          1%{?dist}
Summary:          JBoss Log Manager
Group:            Development/Libraries
License:          LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logmanager

# git clone git://github.com/jboss-logging/jboss-logmanager.git
# cd jboss-logmanager/ && git archive --format=tar --prefix=jboss-logmanager-1.2.0.GA/ 1.2.0.GA | xz > jboss-logmanager-1.2.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-testng.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
# https://bugzilla.redhat.com/show_bug.cgi?id=725991
# BuildRequires:    testng
# BuildRequires:    maven-surefire-provider-testng
BuildRequires:    qdox
BuildRequires:    jboss-parent

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss Log Manager

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
# https://bugzilla.redhat.com/show_bug.cgi?id=725991
%patch0 -p1

%build
# Skipped tests because of java.lang.NoClassDefFoundError: com/thoughtworks/qdox/model/AbstractInheritableJavaEntity
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc COPYING.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt

%changelog
* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.2.0-1
- Initial packaging

